--- title: "Get shopping intent list" slug: "nclue-getshoppingintentlist" updated: 2026-09-17T09:35:51Z published: 2026-09-17T09:35:51Z canonical: "api.ncloud-docs.com/nclue-getshoppingintentlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get shopping intent list Available in VPC Get the profile list of created shopping intent. You can check the detailed information of all retrieved profiles. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /profile/shopping-intents | ### Request headers For information about the headers common to all NCLUE APIs, see [NCLUE request headers](/docs/en/nclue-api-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters The following describes the parameters. | Field | Type | Required | Description | | --- | --- | --- | --- | | `index` | Integer | Optional | Start location of the list - Default: 0 | | `limit` | Integer | Optional | List output limit value - 1-100 (default: 20) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://nclue.apigw.ntruss.com/api/v1/profile/shopping-intents?index=0&limit=20' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `index` | Integer | - | Start location of the list | | `limit` | Integer | - | List output limit value | | `total` | Integer | - | Number of retrieved profiles | | `profiles` | Array | - | Profile list: [profiles](/docs/en/nclue-getshoppingintentlist#profiles) | #### `profiles` The following describes `profiles`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `profile_id` | String | - | Profile ID | | `profile_name` | String | - | Profile name | | `task_id` | String | - | Task ID to apply for profiling | | `task_name` | String | - | Task name to apply for profiling | | `status` | String | - | Profile status - `registered` \| `pending` \| `in_progress` \| `completed` \| `failed` - `registered`: Registered - `pending`: Pending - `in_progress`: Creating - `completed`: Available - `failed`: Failed | | `created_at` | String | - | Profile creation request date and time - ISO 8601 format | | `completed_at` | String | - | Profile creation completion date and time - ISO 8601 format | | `nclue_model_name` | String | - | NCLUE model name used when creating feature (e.g., NFM02) | | `nclue_model_status` | String | - | Current status of the NCLUE model - `active`: Currently available - `deprecated`: No longer used | | `line_count` | Integer | - | Number of lines of the feature applied to the task | | `disk_usage` | Integer | - | Capacity (byte) of the profile | | `fail_message` | String \| null | - | Creation failure message - Return a message on creation failure, or null on success. - For solutions to each message, see [NCLUE troubleshooting](https://guide.ncloud-docs.com/docs/en/nclue-troubleshoot). | ### Response status codes For response status codes common to NCLUE, see [NCLUE response status codes](/docs/en/nclue-api-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "index": 0, "limit": 20, "total": 2, "profiles": [ { "profile_id": "cb4bc383-****-****-****-adeffdab602e", "profile_name": "YOUR_PROFILE_NAME", "task_id": "3dd950b2-****-****-****-64a7c54bd0e7", "task_name": "YOUR_TASK_NAME", "status": "completed", "created_at": "2024-10-18T01:25:35", "completed_at": "2024-10-18T01:28:09", "nclue_model_name": "NFM2", "nclue_model_status": "active", "line_count": 9367, "disk_usage": 22060, "fail_message": null }, // (Omitted) ] } ```